package com.pmease.quickbuild.plugin.tracker.redmine;

import java.util.Map;

import org.junit.Test;

import com.pmease.quickbuild.plugin.report.engine.util.CaseInsensitiveMap;
import com.pmease.quickbuild.plugin.tracker.core.extensionpoint.Issue;

public class RedmineCliTest {
	RedmineCli cli = new RedmineCli("admin", "admin", "http://192.168.202.130/redmine", "tst-1");
	
	public void testGetIssue() {
		Issue issue = cli.getIssue("11");
		
		System.out.println(issue);
	}
	
	public void testCreateIssue() {
		Map<String, String> map = CaseInsensitiveMap.create();
		map.put("subject", "Build 1.0.4 failed");
		map.put("description", "Please modify your configuration setting");
		//map.put("project_id", "tst-1");
		map.put("tracker_id", "2");
		map.put("priority_id", "4");
		map.put("tracker_id", "2");
		map.put("custom_field_1", "This is from QuickBuild");
		map.put(RedmineHelper.ASSIGN_TO_ID, "3");
		Issue issue = cli.createIssue(map);
		System.out.println(issue);
	}
	
	@Test public void testGetUsers() {
		cli.getUsers();
	}
}
